Subject: Re: [PATCH 0/2] Update borgmatic to 1.8.14

From: Steve George <[email-masked]>
Date: Mon, 9 Sep 2024 13:15:46 +0100

Hi,

I've confused Mumi somehow, it's not that the patch is malformed. This works for applying:

## apply v2 by downloading it from Debbugs as Mumi gets confused
guix shell --development guix mumi git git:send-email wget

  # base commit for v2 series from cover-letter
  git branch borgmatic-v2-tst5-apply f42427046b11029faaa69b7f10c77b45240e1111
  git switch borgmatic-v2-tst5-apply

  # Dezyne commit from Janneke
  git log

  wget "https://debbugs.gnu.org/cgi/bugreport.cgi?mbox=yes;msg=32;bug=73038" -O python-apprise-v2.mbx
  wget "https://debbugs.gnu.org/cgi/bugreport.cgi?mbox=yes;msg=35;bug=73038" -O borgmatic-1.8.14-v2.mbx

  git am -s python-apprise-v2.mbx
  git am borgmatic-1.8.14-v2.mbx

I seem to keep getting the python apprise patch when I try and download the borgmatic patch v2 patch from Guix Issues:

    wget "https://issues.guix.gnu.org/issue/73038/raw/6

Which maybe why the Mumi cli tool gets confused because it's processing the same patch twice.

Pretty sure I messed it up by accidently sending the first patch with the incorrect email details and I've just confused th heck out of everything. Anyway, the above works to get the v2 patches and apply them.

Thanks,

Steve

On  7 Sep, jgart wrote:
> 
> hi,
> 
> it looks like the patch does not apply.
> 
> can you send a v3 after rebasing?
> 
> $ mumi am v2 -- -s -S
> Applying: gnu: python-apprise: Fix build.
> Applying: gnu: python-apprise: Fix build.
> error: patch failed: gnu/packages/python-xyz.scm:324
> error: gnu/packages/python-xyz.scm: patch does not apply
> Patch failed at 0001 gnu: python-apprise: Fix build.
> hint: Use 'git am --show-current-patch=diff' to see the failed patch
> hint: When you have resolved this problem, run "git am --continue".
> hint: If you prefer to skip this patch, run "git am --skip" instead.
> hint: To restore the original branch and stop patching, run "git am --abort".
> hint: Disable this message with "git config advice.mergeConflict false"
> Backtrace:
>            2 (primitive-load "/gnu/store/bj3yzpfpmxxwxl02gr7lby212c5…")
> In srfi/srfi-1.scm:
>     634:9  1 (for-each #<procedure 7f1ae6cc31e0 at mumi/client.scm:…> …)
> In mumi/client.scm:
>    249:12  0 (call-with-output-pipe* _ _ . _)
> 
> mumi/client.scm:249:12: In procedure call-with-output-pipe*:
> Command invocation failed failed ("git" "am" "-s" "-S")
> 
> -- 
> mumi the world,
> jgart